﻿using LawFirmContracts.Attributes;
using LawFirmDataModels.Enums;
using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
		[Column("Номер", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int Id { get; set; }
		[Column(visible: false)]
		public int DocumentId { get; set; }
		[Column("Пакет документов", width: 110)]
		public string DocumentName { get; set; } = string.Empty;
		[Column(visible: false)]
		public int ClientId { get; set; }

		[Column("ФИО клиента", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column(visible: false)]
		public int? ImplementerId { get; set; }
		[Column("ФИО исполнителя", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public string ImplementerFIO { get; set; } = string.Empty;
		[Column("Количество", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]

		public int Count { get; set; }
		[Column("Сумма", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public double Sum { get; set; }
		[Column("Статус", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
		[Column("Дата создания", width: 100)]
		public DateTime DateCreate { get; set; } = DateTime.Now;
		[Column("Дата выполнения", width: 100)]
		public DateTime? DateImplement { get; set; }
    }
}
